package com.cttic.tcpreceive.domain;

import java.io.Serializable;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class TcpEntityHistory implements Serializable {
    private String mmsi;
    private String p;
    private String rot;
    private String classType;
    private Date positionTime;
    private Double mapx;
    private Double mapy;
    private Double lon;
    private Double lat;
    private Double course;
    private String heading;
    private Double speed;
    private String status;
    private String accuracy;
    private Date receiveTime;
    private String sourceId;
    private Date createTime;
}
