//package com.cttic.tcpreceive.kafka;
//
//import javax.annotation.Resource;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.kafka.core.KafkaTemplate;
//import org.springframework.kafka.support.SendResult;
//import org.springframework.stereotype.Component;
//import org.springframework.util.concurrent.ListenableFutureCallback;
//
//@Component
//@Slf4j
//public class KafkaProducer {
//
//  @Resource
//  KafkaTemplate<String, Object> kafkaTemplate;
//
//  public void send(String topic, String msg) {
//    log.info("发送信息内容：{}", msg);
//    kafkaTemplate.send(topic, msg);
//  }
//
//  public void callBackSend01(String topic, String msg) {
////    log.info("发送信息内容：{}", msg);
//    kafkaTemplate.send(topic, msg).addCallback(success -> {
//      if (success != null) {
//        String topics = success.getRecordMetadata().topic();
//        int partition = success.getRecordMetadata().partition();
//        long offset = success.getRecordMetadata().offset();
////        log.info("发送消息成功：topics：{} - partition：{} - offset：{}", topics, partition, offset);
//      }
//    }, failure -> {
//      log.error("消息发送失败,reason:{}", failure.getMessage());
//    });
//  }
//
//
//  public void callBackSend02(String topic, String msg) {
//    log.info("发送信息内容：{}", msg);
//    kafkaTemplate.send(topic, msg).addCallback(
//        new ListenableFutureCallback<SendResult<String, Object>>() {
//          @Override
//          public void onFailure(Throwable ex) {
//            log.info("消息发送失败,reason:{}", ex.getMessage());
//          }
//
//          @Override
//          public void onSuccess(SendResult<String, Object> result) {
//            log.info("发送消息成功：topics：{} - partition：{} - offset：{}",
//                result.getRecordMetadata().topic(), result.getRecordMetadata().partition(),
//                result.getRecordMetadata().offset());
//          }
//        });
//  }
//}
